<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-240 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/av240_47.jpg">
  <tr>
    <td height="40"></td>
  </tr>
  <tr>
    <td height="39"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="72" valign="top" background="images/av240_09.jpg"><img src="images/av240_02.jpg" width="72" height="39" alt="" /></td>
        <td width="100%" align="center" valign="top" style="background-image: url(images/av240_03.jpg);
	background-repeat: repeat-x;
	background-position: top;">
<!-- END MENU -->
	<table height="39" border="0" cellpadding="0" cellspacing="0">
          <tr>
		  <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="61" background="images/av240_11.jpg"><img src="images/av240_07.jpg" width="61" height="39" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" height="212" background="images/headerbg.jpg"><table width="100%" height="212"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="64"><img src="images/headerleft.jpg" width="64" height="212" alt="" /></td>
        <td width="100%" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right;"><table width="260"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="18"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="278"><img src="images/av240_15.jpg" width="278" height="18" alt="" /></td>
        <td width="100%" align="right" background="images/av240_16.jpg"><img src="images/av240_18.jpg" width="61" height="18" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="72" valign="top" background="images/av240_19.jpg"><img src="images/av240_19.jpg" width="72" height="84" alt="" /></td>
        <td width="170" align="center" valign="top" background="images/av240_20.jpg"><img src="images/av240_20.jpg" width="170" height="6" alt="" />
<!-- END SUBMENU -->
		  <table width="161"  border="0" cellspacing="0" cellpadding="0">
		  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
          </table>
<!-- END SUBMENU -->
          <br/>
		</td>
        <td width="36" background="images/av240_21.jpg"><img src="images/av240_21.jpg" width="36" height="105" alt="" /></td>
        <td width="100%" height="100%" valign="top" style="padding: 20px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/av240_25.jpg" width="27" height="20" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
   		    <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
   		    </tr></table>
			<!-- END CONTENT -->
		
		</td>
        <td width="61" background="images/av240_23.jpg"><img src="images/av240_23.jpg" width="61" height="52" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td  height="37"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="362" height="37"><img src="images/av240_40.jpg" width="362" height="37" alt="" /></td>
        <td width="100%" background="images/av240_41.jpg"></td>
        <td width="61" valign="top"><img src="images/av240_43.jpg" width="61" height="32" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="50" align="center">
<!-- END BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table>
<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
<div style="width:0px; height:10px;"><span></span></div>
	</td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
  <tr>
              <td width="20"><img src="images/av240_28.jpg" /></td>
              <td class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
  <tr>
              <td width="20"><img src="images/av240_28.jpg" /></td>
              <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
            <tr>
              <td colspan="2"><img src="images/av240_31.jpg" width="161" height="15" alt="" /></td>
              </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
 <td width="20" align="center"><img src="images/sub_button.gif" width="7" height="7" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
