<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-241 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0" background="images/bgw.jpg">
  <tr>
    <td height="8" width="48"><img src="images/spacer.gif" width="48" height="8" border="0" /></td>
    <td width="10"><img src="images/spacer.gif" width="10" height="8" border="0" /></td>
    <td width="202"><img src="images/spacer.gif" width="202" height="8" border="0" /></td>
    <td><img src="images/spacer.gif" width="1" height="8" border="0" /></td>
    <td width="100%"><img src="images/spacer.gif" width="471" height="1" border="0" /></td>
    <td width="8"><img src="images/spacer.gif" width="8" height="8" border="0" /></td>
    <td width="45"><img src="images/spacer.gif" width="45" height="8" border="0" /></td>
    <td width="2"><img src="images/spacer.gif" width="1" height="1" border="0" /></td>
  </tr>
  <tr>
    <td width="48" rowspan="15"></td>
    <td width="10" background="images/submenu_b.gif"></td>
    <td colspan="2" rowspan="3" background="images/logobg.gif"  style="padding-top:33px;">
	<table width="202" border="0" cellpadding="0" cellspacing="0">
        <tr align="center" valign="middle">
          <td><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
        </tr>
        <tr>
          <td class="bot_menu1"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        </tr>
        <tr >
          <td class="bot_menu"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        </tr>
    </table></td>
    <td width="100%" rowspan="3" align="right" background="images/headerbg.jpg"><table width="100%" height="83"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="240" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right;"></td>
      </tr>
    </table>	</td>
    <td width="10" align="left" background="images/submenu_b.gif"></td>
    <td width="45" rowspan="15">
	<table width="10" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="40" valign="top"></td>
    <td width="10" height="40" valign="top"></td>
  </tr>
  <tr>
    <td height="200" valign="top" style="background-image: url(images/buttons-tu1.gif);
	background-repeat: repeat-y;
	background-position: right;"><img src="images/spacer.gif" width="10" height="5"/></td>
    <td width="10" height="200" valign="top" background="images/buttons-tu2.gif">
	<img src="images/buttons-tu2.gif" width="10" height="5"/></td>
  </tr>
  <tr>
    <td height="1" background="images/buttons-tu1.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-tu2.gif"></td>
  </tr>
  <tr >
  </tr>
  <tr>
    <td height="45" background="images/buttons-tu1.gif"></td>
    <td colspan="3" background="images/buttons-di.gif"><table border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="42"></td>
<xsl:call-template name="TOP-MENU"/>
          <td width="25"></td>
        </tr>
    </table></td>
    <td background="images/buttons-tu2.gif"></td>
  </tr>
  <tr>
    <td rowspan="2" background="images/buttons-tu1.gif"></td>
    <td height="2" colspan="3" bgcolor="#081929"></td>
    <td rowspan="2" background="images/buttons-tu2.gif"></td>
  </tr>
  <tr>
    <td height="1" colspan="3" background="images/buttons-hx.gif"></td>
  </tr>
  <tr>
    <td background="images/buttons-tu1.gif"></td>
    <td width="202" align="center" valign="top" background="images/bgn.jpg">
	<br/>
	<table width="170"  border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
    </table>
	<br/>
	</td>
    <td width="1" background="images/buttons-xian.gif"></td>
    <td width="100%" height="100%" valign="top" style="padding: 15px;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
        <tr>
          <td><table border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="logoword"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="icon"><img src="images/submenu_round.gif" alt="" width="17" height="17" border="0"/></td>
              </tr>
          </table></td>
        </tr>
        <tr>
          <td valign="top" name="SB_stretch" width="100%" height="100%" style="padding-top: 10px;"><xsl:apply-templates select="PAGE-CONTENT"/>
</td>
        </tr>
    </table></td>
    <td background="images/buttons-tu2.gif"></td>
  </tr>
  <tr>
    <td height="1" background="images/buttons-tu1.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-tu2.gif"></td>
  </tr>
  <tr >
    <td height="1" background="images/buttons-tu1.gif"></td>
    <td height="1"></td>
    <td height="1" bgcolor="#000000"></td>
    <td height="1"></td>
    <td height="1" background="images/buttons-tu2.gif"></td>
  </tr>
  <tr>
    <td background="images/buttons-tu1.gif"></td>
    <td colspan="3" align="right" background="images/bm.gif" style="padding: 15px;">
	<table border="0" align="left" cellpadding="0" cellspacing="0" >
        <tr>
<xsl:call-template name="BOTTOM-MENU"/>
        </tr>
    </table></td>
    <td background="images/buttons-tu2.gif"></td>
  </tr>
  <tr>
    <td height="1" background="images/buttons-tu1.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-hx.gif"></td>
    <td height="1" background="images/buttons-tu2.gif"></td>
  </tr>
  <tr >
    <td height="1" background="images/buttons-tu1.gif"></td>
    <td height="1"></td>
    <td height="1" bgcolor="#000000"></td>
    <td height="1"></td>
    <td height="1" background="images/buttons-tu2.gif"></td>
  </tr>
  <tr>
    <td></td>
    <td height="64" colspan="3" align="center" class="copyright">
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
<div style="width:0px; height:10px;"><span></span></div>
	  </td>
  </tr>
  <tr>
    <td background="images/submenu_b.gif"></td>
    <td background="images/submenu_b.gif"></td>
    <td colspan="2" background="images/submenu_b.gif"></td>
    <td background="images/submenu_b.gif"></td>
    <td background="images/submenu_b.gif"></td>
    <td background="images/submenu_b.gif"></td>
  </tr>
</table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td class="iconleft"><img src="images/buttons.gif" width="8" height="2"/></td>
          <td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		<tr>
		<td width="23" class="iconleft" ><img src="images/buttons.gif" width="8" height="2"/></td>
		<td><a href="{@HREF}" class="submenu"><span class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></a></td>
		</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	    <tr>
          <td height="10" colspan="2"></td>
        </tr>
        <tr>
          <td height="1" colspan="2" background="images/buttons-hx.gif"></td>
        </tr>
	    <tr>
          <td height="10" colspan="2"></td>
        </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td width="15" class="iconfoot"><img src="images/submenu_hr.gif" width="3" height="8"/></td>
			<td ><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
	      <td width="15"  class="iconfoot"><img src="images/submenu_hr.gif" width="3" height="8"/></td>
          <td ><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		   <td width="20"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
