<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-251 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;">
<center>
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
  <tr>
    <td></td>
    <td valign="top">
	<table border="0" align="center" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
      <tr valign="top">
        <td colspan="3" style="height: 277px;width:100%; background-image: url('images/003_1.gif');background-repeat:repeat-x;">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/001.gif" width="20" height="43"/></td>
            <td valign="top"><!-- MENU -->
			<table  align="center" cellpadding="0" cellspacing="0" style="background-position: left top">
              <tr>
<xsl:call-template name="TOP-MENU"/>
              </tr>
            </table> <!-- END MENU -->
			</td>
          </tr>
          <tr>
            <td colspan="2" valign="top">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td valign="top" style="height: 232px; background-image: url('images/header.jpg');background-repeat:no-repeat;">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="50"></td>
                      <td valign="top">
                       </td>
                      <td></td>
                    </tr>
                    <tr>
                      <td></td>
                      <td colspan="2" valign="top" style="padding-right:10px"><div style="padding-top:45px;padding-right:10px"><span></span></div>
                          <!-- LOGO -->
                          <table width="400"  border="0" align="right" cellpadding="0" cellspacing="0">
                            <tr>
                              <td width="140" rowspan="3" ><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                              <td class="company" height="10px"></td>
                            </tr>
                            <tr>
                              <td class="company" ><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                            </tr>
                            <tr>
                              <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                            </tr>
                        </table></td>
                    </tr>
                  </table>
                    <!-- END LOGO -->                </td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr valign="top">
        <td colspan="3" bgcolor="FCF9F2" style="height: 100%;"><table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
          <tr>
            <td width="240" valign="top" style="width:240px;height:100%;padding-left:15px;padding-top:15px;padding-bottom:15px">
                <!-- SUBMENU -->
				<table width="220" border="0" align="right" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table>
                <!-- END SUBMENU -->
            </td>
           <td width="1" ><div class="line"  style="width:1px;height:100%"><span></span></div></td>
            <td valign="top">
			<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
              <tr>
                <td height="300" valign="top" class="pageContent" style="padding:25px" name="SB_stretch">
				<!-- CONTENT -->
                    <table cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        <td style="padding-left: 5px;"><img src="images/005.gif" /></td>
                      </tr>
                    </table>
                    <div style="width:0px; height:15px;"><span></span></div>
					<xsl:apply-templates select="PAGE-CONTENT"/>					</td>
              </tr>
            </table>
			<!-- END CONTENT --></td>
          </tr>
        </table></td>
        </tr>
      <tr background="images/010.gif">
        <td height="47" colspan="3" align="left" style="height: 47px;width:100%; background-image: url('images/010.gif');background-repeat:repeat-x"><img src="images/009.gif" width="780" height="47"/></td>
        </tr>
      <tr valign="top">
        <td colspan="3" class="footer-color"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="70" height="85"><img src="images/011.gif" width="74" height="84"/></td>
            <td><!-- BOTTOM MENU -->
                <table  align="center" cellpadding="0" cellspacing="0">
                  <tr>
<xsl:call-template name="BOTTOM-MENU"/>
                  </tr>
                  <tr>
                    <!-- END BOTTOM MENU -->
                    <td colspan="17" class="icon" ><!-- FOOTER -->
                        <div align="center"><span class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</span></div></td>
                    <!-- END FOOTER -->
                  </tr>
              </table></td>
          </tr>
        </table></td>
      </tr>
      
    </table></td>
    <td></td>
  </tr>
</table>
</center>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
                  <tr>
                    <td width="9"><img src="images/004.gif" /></td>
                    <td align="left" class="submenua" style="padding-left: 10px; "><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                  <tr>
                    <td width="9"><img src="images/004.gif" /></td>
                    <td align="left" style="padding-left: 10px; "><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                  <tr>
                    <td colspan="2" height="15"><div style="height:1px; background-color: #D9D6CF;  background-repeat: repeat-x;"><span></span></div></td>
                  </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
                    <td class="icon" ><img src="images/007.gif" /></td>
                    <td align="right" class="bmenua"><div align="left"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
			</xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
                    <td class="icon" ><img src="images/007.gif" /></td>
                    <td align="right" class="bmenu"><div align="left"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
                    <td class="icon" ><img src="images/008.gif" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
