<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-227 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/bg2.gif');">
	<tr>
		<td width="100%" height="100%" align="left" valign="top">
			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/bg.gif); background-repeat: repeat; background-position: left top;">
				<tr>
					<td style="width:71px;"></td>
					<td width="100%" height="100%" align="left" valign="top"  style="padding-left:70px;padding-right:70px;padding-bottom:50px;">
						<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td height="50" align="center">
									<table height="100%"  border="0" cellpadding="0" cellspacing="0">
										<tr>
											<td width="30"></td>
												<xsl:call-template name="TOP-MENU"/>
											<td width="30"></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="206" align="left" valign="top" style="background-image: url('images/header02.jpg');">
									<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header01.jpg);background-repeat: no-repeat;background-position: left top;">
										<tr>
											<td height="100%" align="right" valign="top">
												<table width="100%" height="210" style="background-image: url(images/header03.jpg);background-repeat: no-repeat;background-position: right top;" border="0" cellpadding="0" cellspacing="0">
													<tr>
														<td height="100%" align="right" style="padding-right:20px;">
															<table width="300"  border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<td width="40"  rowspan="2" align="right" style="padding-right:15px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
																	<td width="260" align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
																</tr>
																<tr>
																	<td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
						            </table>
								</td>
							</tr>
							<tr>
								<td width="100%" height="100%" align="left" valign="top" style="background-image: url('images/textbg.gif');">
									<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
										<tr>
											<td width="100%" height="100%" align="left" valign="top" style="background-image: url(images/dopmenu_bg.gif);background-repeat: no-repeat;background-position: left top;">
												<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/right_bg.gif);background-repeat: no-repeat;background-position: right top;">
													<tr>
														<td align="left" height="100%" valign="top">
															<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/left_bg.gif);background-repeat: repeat-y;background-position: left top;">
																<tr>
																	<td height="100%" align="right" valign="top" style="padding:15px;">
																		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
																			<xsl:call-template name="SUB-MENU">
																				<xsl:with-param name="pageID" select="@ID"/>
																			</xsl:call-template>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
														<td width="100%" height="100%" align="left" valign="top" style="padding:20px;">
															<table class="pageContent" border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" >
																<tr>
																	<td align="left" valign="top" name="SB_stretch" width="100%" height="100%" class="pageContent">
																		<table border="0" cellpadding="0" cellspacing="0">
																			<tr>
																				<td class="text-header">
																					<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
																				</td>
																				<td><img src="images/txtheader_bullet.gif" width="19" height="19"/></td>
																			</tr>
													                    </table>
																		<br/>
																		<xsl:apply-templates select="PAGE-CONTENT"/>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
									                <tr>
														<td width="161" align="left" valign="top"><img src="images/left_down.gif" width="161" height="39"/></td>
									                    <td height="39" align="right" valign="top"><img src="images/right_down.gif" width="480" height="39"/></td>
									                </tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="50" align="center">
									<table  border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td width="30"></td>
											<xsl:call-template name="BOTTOM-MENU"/>
											<td width="30"></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="24" align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
							</tr>
				        </table>
					</td>
					<td style="width:71px;"></td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="asubmenu" style="padding-top: 5px;padding-bottom: 5px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td width="18" align="right"><img src="images/dopmenu_bullet.gif" width="8" height="9"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="submenu" style="padding-top: 5px;padding-bottom: 5px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="18" align="right"><img src="images/dopmenu_bullet.gif" width="8" height="9"/></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td height="1" colspan="2" background="images/dopmenu_line.gif"></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td width="30"><div align="center"><img src="images/footermenu_bullet.gif" width="10" height="7"/></div></td>
                <td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td width="30"><div align="center"><img src="images/footermenu_bullet.gif" width="10" height="7"/></div></td>
                <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
