<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-228 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#E1E3CF">
  <tr>
    <td align="left" valign="top" width="100%" height="100%" style="padding:40px;">
	  <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td width="47" height="70" align="left" valign="top"><img src="images/bg_03.jpg" width="47" height="70"/></td>
        <td width="100%" align="center" background="images/bg_05.jpg" style="padding-top:4px;">
		   <table cellpadding="0" cellspacing="0" align="center">
              <tr>
                <xsl:call-template name="TOP-MENU"/>
              </tr>
          </table>
		</td>
        <td width="11" align="left" valign="top"><img src="images/bg_07.jpg" width="11" height="70"/></td>
      </tr>
      <tr>
        <td height="194" colspan="3" align="left" valign="top">	
		  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
           <tr>
            <td width="223" align="left" valign="top"><img src="images/header1.jpg" width="223" height="194"/></td>
            <td align="left" valign="top" background="images/headerbg.jpg">
			    <table width="100%" height="194" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: left top;" border="0" cellpadding="0" cellspacing="0">
                  <tr>
                   <td align="right"  style="padding-right:10px;">
				     <table width="300" border="0" cellpadding="0" cellspacing="0">
                     <tr>
                         <td style="padding-bottom:10px;"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                     </tr>
                     <tr>
                         <td valign="bottom" class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
                     </tr>
                     <tr>
                         <td align="center" valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                     </tr>
                     </table>
				    </td>
                  </tr>
               </table>
		    </td>
            <td width="11" background="images/bg_14.jpg"><img src="images/bg_14.jpg" width="11" height="18"/></td>
          </tr>
        </table>
	   </td>
      </tr>
      <tr>
        <td colspan="3" align="left" valign="top" height="100%">
		   <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
             <tr>
              <td width="223" align="left" valign="top" background="images/bg_13.gif">
			     <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                   <tr>
                        <td height="30" valign="top"><img src="images/bg_sub1.jpg" width="223" height="30"/></td>
                   </tr>
                   <tr>
                       <td height="100" align="center" valign="top" background="images/bg_sub2.jpg">
		<!-- SUBMENU -->
				<table width="160" border="0" cellspacing="0" cellpadding="0">
                  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                </table>
<!-- END SUBMENU -->
						</td>
                   </tr>
                   <tr>
                     <td height="43" valign="top"><img src="images/bg_sub3.jpg" width="223" height="43"/></td>
                   </tr>
                 </table>
				</td>
              <td width="100%" height="100%" align="left" valign="top" bgcolor="#F9F9F9">
			     <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                     <tr>
                        <td height="36" align="left" valign="top" background="images/headerbg2.jpg"><img src="images/header2.jpg" width="479" height="36"/></td>
                     </tr>
                     <tr>
                       <td height="19" style="padding:15px;">
					   <table cellpadding="0" cellspacing="0" border="0" height="19">
                           <tr>
                               <td class="text-header" style="padding-right:15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                               <td valign="middle" class="icon"><img src="images/txtheader_bullet.gif" alt="" width="19" height="19" border="0"/></td>
                          </tr>
                      </table>
					   </td>
                     </tr>
                     <tr>
                        <td valign="top" width="100%" height="100%" style="padding-left:20px;padding-right:20px;">
<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<tr>
<td valign="top" class="pageContent" name="SB_stretch" width="100%" height="100%">
<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table>
</td>
                     </tr>
                  </table>
			   </td>
              <td width="11" align="left" valign="top" background="images/bg_14.jpg"></td>
             </tr>
             <tr>
               <td height="25" align="left" valign="top"><img src="images/bg_17.gif" width="223" height="25"/></td>
               <td width="100%" align="left" valign="top" background="images/bg_18.gif"></td>
               <td align="left" valign="top"><img src="images/bg_19.gif" width="11" height="25"/></td>
             </tr>
          </table>
		  </td>
      </tr>
      <tr>
        <td height="10" colspan="3" align="left" valign="top"></td>
      </tr>
      <tr>
        <td colspan="3" align="center" valign="top">
	<!--  BOOTTOM MENU -->
      <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
	  <!-- END BOOTTOM MENU -->
		</td>
      </tr>
      <tr align="center">
        <td colspan="3" valign="top" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table>
   </td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td style="width: 20px;"><img src="images/dopmenu_bullet.gif" alt="" width="7" height="7" border="0"/></td>
<td style="padding-left:1px;"><span class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td style="width: 20px;"><img src="images/dopmenu_bullet.gif" alt="" width="7" height="7" border="0"/></td>
<td style="padding-left:1px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="20"><div class="menu-hr" style="height:1px;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>   
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
   <td><img src="images/footmenu_bullet.gif" hspace="16"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
