<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-245 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
 <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" background="images/00_31.jpg">
    <tr>
      <td width="30"><img src="images/00_01.jpg" width="30" height="198" alt="" /></td>
      <td width="6" background="images/00_01.jpg"><img src="images/00_02.gif" width="6" height="198" alt="" /></td>
      <td width="257" align="center" valign="bottom" background="images/00_01.jpg">

	
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="198" width="270" align="center" valign="top" background="images/00_03.gif"><table width="270"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><img src="images/spacer.gif" width="270" height="75" /></td>
            </tr>
            <tr>
              <td align="center">
		  <!-- LOGO --> 
		  <table width="250" border="0" cellpadding="0" cellspacing="0" >
            <tr>
              <td width="71" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
              <td align="left" valign="bottom" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
             <td valign="top" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table>  
		  <!-- END LOGO -->
			  </td>
            </tr>
          </table>

		  </td>
        </tr>
      </table>
	  </td>
      <td width="6" background="images/00_01.jpg"><img src="images/00_05.gif" width="6" height="198" alt="" /></td>
      <td colspan="2" align="right" background="images/00_01.jpg" height="198" width="100%"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="198" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right;"></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td align="left" width="30"  background="images/00_09.jpg" height="49"><img src="images/00_08.jpg" width="30" height="49" alt="" /></td>
      <td colspan="4" align="center" width="100%" background="images/00_09.jpg">
<!-- MENU --> 
	  <table border="0" cellspacing="0" cellpadding="0">
         <tr>
           <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
      <td width="8" align="right" background="images/00_09.jpg"><img src="images/00_13.jpg" width="8" height="49" alt="" /></td>
    </tr>
    <tr>
      <td height="25" background="images/00_31.jpg"></td>
      <td bgcolor="#FFFFFF"></td>
      <td width="257" valign="top" background="images/00_21.jpg"><img src="images/00_21.jpg" width="200" height="25" alt="" /></td>
      <td bgcolor="#FFFFFF"></td>
      <td width="659" height="25" valign="top" background="images/00_31.jpg">	  
	  </td>
      <td background="images/00_31.jpg"></td>
    </tr>
    <tr>
      <td background="images/00_31.jpg"></td>
      <td bgcolor="#FFFFFF"></td>
      <td height="92" align="center" valign="top" background="images/00_43.jpg">
<!-- SUBMENU -->
	  <table width="170" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>
<!-- END SUBMENU -->
	  </td>
      <td bgcolor="#FFFFFF"></td>
      <td width="100%" height="100%" align="left" valign="top" background="images/00_31.jpg" style="padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_27.jpg" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	    <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	    </tr></table>
			<!-- END CONTENT -->
</td>
      <td background="images/00_31.jpg"></td>
    </tr>
    <tr>
      <td height="18" background="images/00_31.jpg"></td>
      <td bgcolor="#FFFFFF"></td> 
      <td height="18" background="images/00_46.jpg"><img src="images/00_46.jpg" width="147" height="18" alt="" /></td>
      <td bgcolor="#FFFFFF"></td>
      <td width="659" height="18" valign="top" background="images/00_31.jpg"></td>
      <td background="images/00_31.jpg"></td>
    </tr>
    <tr>
      <td align="left" height="49" background="images/00_09.jpg"><img src="images/00_08.jpg" width="30" height="49" alt="" /></td>
      <td colspan="4" align="center" background="images/00_09.jpg">
<!-- BOOTTOM MENU -->  
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
<!-- END BOOTTOM MENU -->
	  </td>
      <td width="11" align="right" background="images/00_09.jpg"><img src="images/00_13.jpg" width="8" height="49" alt="" /></td>
    </tr>
    <tr>
      <td colspan="5" rowspan="3" align="center"  background="images/00_31.jpg">
	  <div style="width:0px; height:20px;"><span></span></div>
	<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
    <!-- END FOOTER -->
	  <div style="width:0px; height:20px;"><span></span></div>
	  </td>
      <td></td>
    </tr>
    <tr>
      <td></td>
    </tr>
    <tr>
      <td background="images/00_31.jpg"></td>
    </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
     <td width="20"><img src="images/00_34.jpg" width="8" height="6" alt="" /></td>
     <td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
     <td width="20"><img src="images/00_34.jpg" width="8" height="6" alt="" /></td>
     <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
           <td height="17" colspan="2" align="center"><img src="images/00_37.jpg" width="160" height="2" alt="" /></td>
        </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	  <td width="30" align="center"><img src="images/00_50.jpg" width="6" height="6" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
