<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-247 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="background-color:#FFFFFF;margin:0px;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td  valign="bottom" background="images/001.gif"><img src="images/001.gif"/></td>
        <td colspan="2" valign="bottom" style="height: 46;width:100%; background-image: url('images/001.gif');"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td colspan="2" style="height: 46;width:100%; background-image: url('images/headert.jpg');background-position: left bottom;background-repeat:no-repeat">
			<!-- MENU -->
			<table border="0" align="left" cellpadding="0" cellspacing="0">
              <tr>
<xsl:call-template name="TOP-MENU"/>
              </tr>
            </table></td>
          </tr>
        </table>
		<!-- END MENU --></td>
      </tr>
      <tr>
        <td valign="top"><img src="images/002.gif"/></td>
       <td valign="top"  style="height: 148;width:216; background-image: url('images/003.gif');background-repeat:no-repeat;background-position: left top;">
	   <!-- LOGO -->
	   <table cellpadding="0" cellspacing="0" align="center" style="padding-top:5px">
         <tr>
           <td rowspan="2" align="left" style="spadding-right:12px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
           <td align="left" valign="bottom" class="company" style="padding-left:7px"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
         </tr>
         <tr>
           <td align="left" valign="top" class="slogan" style="padding-left:7px"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
         </tr>
       </table>
	   <!-- END LOGO -->
	   </td>
        <td rowspan="2" align="left" valign="top" style="height: 199;width:100%; background-image: url('images/002_1.gif');background-repeat:repeat-x;background-position: left top;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="199" style="background-image: url('images/header.jpg');background-repeat:no-repeat;background-position: left top;"></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td valign="top" class="bg01"><img src="images/005.gif" /></td>
        <td rowspan="2" valign="top" style="height: 100%;width:216; background-image: url('images/014.gif');background-repeat:repeat-y;background-position: left top;">
		<!-- SUBMENU -->
		<table width="160" border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
		<!-- END SUBMENU -->
		</td>
        <td></td>
      </tr>
      <tr>
        <td class="bg01"></td>
        <td valign="top" class="bg01" width="100%" height="100%">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%;">
          <tr>
            <td  width="100%" height="100%" valign="top" class="pageContent" style="padding:25px" name="SB_stretch">
			<!-- CONTENT -->
                <table cellpadding="0" cellspacing="0" border="0">
                  <tr>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td style="padding-left: 5px;"><img src="images/007.gif" width="17" height="17"/></td>
                  </tr>
                </table>
              <div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		</tr></table>
              <!-- END CONTENT -->
		    </td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><img src="images/009.gif" width="29" height="59"/></td>
        <td valign="top"><img src="images/010.gif" width="216" height="59"/></td>
        <td valign="top"><div style="height: 59;width:100%; background-image: url('images/011.gif');background-repeat:repeat-x;"><span></span><img src="images/012.gif" width="515" height="59"/></div></td>
      </tr>
      
</table>
<table width="100%" height="50" border="0" cellspacing="0">
<tr>
  <td align="center" background="images/015.gif" style="padding-left:30px; padding-right:30px"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td align="center">
<table align="center" cellpadding="0" cellspacing="0">
              <tr>
<xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
	  </td>
    </tr>
    <tr>
      <td align="center">
	  <!-- FOOTER -->
					 <div align="center" class="copyright">
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					 </div></td>
    </tr>
  </table></td>
</tr></table>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td><img src="images/008.gif" /></td>
            <td class="submenua" style="padding-left: 15px; "><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td><img src="images/008.gif" /></td>
            <td  style="padding-left: 15px; "><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
            <td colspan="2" height="20"><img src="images/line.gif" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
                <td width="15" class="iconfoot"><img src="images/004.gif" /></td>
                <td ><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
                <td width="15" class="iconfoot"><img src="images/004.gif" /></td>
                <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		 <td width="20"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
