<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
                <td class="icon"><img src="images/bullet.gif" /></td>
                <td align="right"  style="padding-left:4px;padding-right:4px" class="menua"><div align="left"><a href="{@HREF}" class="menua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
            </xsl:when>
            
            
            <xsl:otherwise>
                <td class="icon"><img src="images/bullet.gif" /></td>
                <td align="right"  style="padding-left:4px;padding-right:4px" class="menu"><div align="left"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
            </xsl:otherwise>
	    </xsl:choose>
  		<xsl:if test="position()!=last()">
                <td class="icon"><img src="images/006.gif" /></td>
  		</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
