<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
	        <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>	
   					<td height="32" width="152" style="padding-left: 7px"><span href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
   					<td width="8"><img src="images/submenu_abullet.gif" border="0" style="margin-right: 5px;"/></td>
   				</tr>
       			<xsl:if test="position()!=last()">
	   				<tr><td height="1" colspan="2" bgcolor="#F3F3F3"><div style="width:160px; height:0px;"><spacer type="block" width="160" height="0" /></div></td></tr>
       			</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    				<tr>	
    					<td height="32" width="152" style="padding-left: 7px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    					<td width="8"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" style="margin-right: 5px;"/></a></td>
    				</tr>
        			<xsl:if test="position()!=last()">
		   				<tr><td height="1" colspan="2" bgcolor="#F3F3F3"><div style="width:160px; height:0px;"><spacer type="block" width="160" height="0" /></div></td></tr>       				</xsl:if>
   				</xsl:if>
    	    </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<td><a href="{@HREF}"><img src="images/abullet.gif" style="margin-right: 5px;" border="0"/></a></td>
   				<td style="padding-right: 20px;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</xsl:when>
			<!-- when active-->
			
			<xsl:otherwise>
   				<td><a href="{@HREF}"><img src="images/bullet.gif" style="margin-right: 5px;" border="0"/></a></td>
   				<td style="padding-right: 20px;"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


</xsl:stylesheet>
